AIA Install Failing With java.lang.RuntimeException: Please use JDK instead of JRE (Doc ID 1119006.1)

Last updated on OCTOBER 20, 2016

Applies to:

Oracle Application Integration Architecture Foundation Pack - Version 11gR1 and later
Information in this document applies to any platform.

Symptoms

AIA 11gR1 installer fails at the Deploying Application Configurations.
The errors in the log shows:

...
INFO: validating "AIAErrorTaskAdministrationProcess.bpel" ...
Exception in thread "main" java.lang.ExceptionInInitializerError
at com.collaxa.cube.engine.util.CubeProcessNamingMgr.getProcessImplPackageName(CubeProcessNamingMgr.java:226)
at com.collaxa.cube.lang.compiler.BPELComponentCompilationModel.initialize(BPELComponentCompilationModel.java:116)
at com.collaxa.cube.lang.compiler.BPEL1Processor.transform(BPEL1Processor.java:222)
at com.collaxa.cube.lang.compiler.BPEL1Processor.process(BPEL1Processor.java:144)
at com.collaxa.cube.lang.compiler.CubeParserHelper.compile(CubeParserHelper.java:47)
at oracle.fabric.bpel.bpelc.BPELComponentValidator.validate(BPELComponentValidator.java:35)
at oracle.soa.scac.ValidateComposite.validateComponentTypeServicesReferences(ValidateComposite.java:1087)
at oracle.soa.scac.ValidateComposite.doValidation(ValidateComposite.java:543)
at oracle.soa.scac.ValidateComposite.main(ValidateComposite.java:223)
Caused by: java.lang.RuntimeException: Please use JDK instead of JRE.
at com.collaxa.cube.util.JavaHelper.<clinit>(JavaHelper.java:74)
...

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms